<!DOCTYPE html>
<html lang="en">
<head>
<title>Easy Guild Wars Scores</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description"
	content="Guild Wars results of 420-United (Castle Clash)" />
<meta name="keywords"
	content="Easy Guild Wars scores, 420-United, Castle Clash, Guild Wars" />
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<meta http-equiv="robots" content="noindex, nofollow" />
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="style.css" />
<script type="text/javascript"
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript"
	src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script type="text/javascript"
	src="https://www.gstatic.com/charts/loader.js"></script>
<script type="text/javascript" src="namechanges.js"></script>
<script type="text/javascript" src="easyguildwarsdata.js"></script>
<script type="text/javascript" src="uihelper.js"></script>
</head>

<body>
	<div id="main">
		<div id="header">
			<div id="logo">
				<div id="logo_text">
					<!-- class="logo_colour", allows you to change the colour of the text -->
					<h1>
						<a href="index.html"><span class="logo_colour">420-United</span></a>
					</h1>
				</div>
			</div>
			<div id="menubar">
				<ul id="menu">
					<!-- put class="selected" in the li tag for the selected page - to highlight which page you're on -->
					<li class="selected"><a href="#">Results</a></li>
					<li><a href="#">Averages</a></li>
					<li><a href="#">Per Member</a></li>
					<li><a href="#">About</a></li>
				</ul>
			</div>
		</div>
		<div id="site_content">
			<div id="content">
				<div class="row top-row visibleOnResults withMarginBottom">
					<div class="col-sm-4" id="dropDownContainer">
						<span class="glyphicon glyphicon-step-backward" id="dates-backward"></span>
						<button
							class="btn btn-default dropdown-toggle wars-filter-container"
							type="button" id="gw-dates-dropdown-header"
							data-toggle="dropdown">
							-- <span class="caret"></span>
						</button>
						<span class="glyphicon glyphicon-step-forward" id="dates-forward"></span>
						<ul class="dropdown-menu" id="gw-dates-dropdown" role="menu"
							aria-labelledby="gw-dates-dropdown-header">
						</ul>
					</div>
					<div class="col-sm-2">
						<span class="allign-bottom withMarginRight">Points</span><span
							class="guild-points-placeholder allign-bottom label label-default"
							style="margin-left: 5px;"></span>
					</div>
					<div class="col-sm-2">
						<span class="allign-bottom withMarginRight">Target</span><span
							class="guild-target-placeholder allign-bottom label label-default"
							style="margin-left: 5px;"></span>
					</div>
					<div class="col-sm-2">
						<span class="allign-bottom withMarginRight">Percent</span><span class="guild-percent-placeholder allign-bottom label label-default"></span>
					</div>
					<div class="col-sm-2" style="text-align: center;">
						<span class="allign-bottom withMarginRight">Rank</span><span class="guild-rank-placeholder allign-bottom label label-default"></span>
					</div>
				</div>
				<div id="averagesController" class="visibleOnAverages">
					<nav aria-label="Page navigation">
						<ul class="pagination">
							<li class="averagesOption"><a href="#">3</a></li>
							<li class="averagesOption"><a href="#">5</a></li>
							<li class="averagesOption"><a href="#">all</a></li>
						</ul>
					</nav>
				</div>				
				
				<div class="row top-row visibleOnPerMember withMarginBottom" id="per-member-middle-container">
					<div class="col-sm-4">
						<span class="glyphicon glyphicon-step-backward" id="guild-member-backward"></span>
						<button
							class="btn btn-default dropdown-toggle guild-member-container"
							type="button" id="guild-member-dropdown-header"
							data-toggle="dropdown">
							All members <span class="caret"></span>
						</button>
						<span class="glyphicon glyphicon-step-forward" id="guild-member-forward"></span>
						<ul class="dropdown-menu" id="guild-member-dropdown" role="menu"
							aria-labelledby="guild-member-dropdown-header">
						</ul>
					</div>
					<div class="col-sm-4">
						<button
							class="btn btn-success dropdown-toggle guild-member-container-green"
							type="button" id="guild-member-dropdown-header-green"
							data-toggle="dropdown">
							5/5 green <span class="caret"></span>
						</button>
						<ul class="dropdown-menu" id="guild-member-dropdown-green" role="menu"
							aria-labelledby="guild-member-dropdown-header-green">
						</ul>
					</div>
					<div class="col-sm-4">
						<button
							class="btn btn-danger dropdown-toggle guild-member-container-red"
							type="button" id="guild-member-dropdown-header-red"
							data-toggle="dropdown">
							2+/5 red <span class="caret"></span>
						</button>
						<ul class="dropdown-menu" id="guild-member-dropdown-red" role="menu"
							aria-labelledby="guild-member-dropdown-header-red">
						</ul>
					</div>
				</div>
				
				<div class="row top-row visibleOnPerMember" id="per-member-top-container">
					<div class="col-sm-4">
						<div id="per-member-pie"></div>
					</div>
					<div class="col-sm-4">
						<dl>
							<dt>Joined/First result</dt>
							<dd class="per-member-joined"></dd>
							<dt>Might</dt>
							<dd class="per-member-might"></dd>
							<dt>Last Result</dt>
							<dd class="per-member-last-result"></dd>
							<dt>Top Score</dt>
							<dd class="per-member-top-score"></dd>
						</dl>
					</div>
					<div class="col-sm-4">
						<dl>
							<dt>Gained/Lost (last 5 GWs)</dt>
							<dd class="per-member-gained-lost-5"></dd>
							<dt>Gained/Lost (all)</dt>
							<dd class="per-member-gained-lost-total"></dd>
							<dt>Might gained (last 5)</dt>
							<dd class="per-member-might-gained-past-5"></dd>
							<dt>Longest in the green</dt>
							<dd class="per-member-longest-green"></dd>
						</dl>
					</div>
				</div>
				<div id="aboutContainer" class="visibleOnAbout">
					<div>
						<h3>About this site</h3>
						<p>
							This website contains Guild wars results from the game <a
								href="https://play.google.com/store/apps/details?id=com.igg.castleclash"
								target="_blank">Castle clash</a> currently only for my guild
							420-United. <br />When the project progressed further, it will
							also be possible for other guilds to have their scores generated
							here if they provide their "Guild Wars Data.txt" files.
						</p>

						<h4>Project home</h4>
						<p>
							If you want to help out or check out the code: <a
								href="https://gitlab.com/voets.dean/easy-guild-wars-scores"
								target="_blank">Project on Gitlab</a>
						</p>

						<h4>Contact</h4>
						<ul>
							<li>Line ID: EasyTarget57</li>
							<li>Email: <a
								href='mailto&#58;%76%&#54;F&#101;%7&#52;&#37;73&#46;%64&#101;&#97;&#37;6E%40g%6D%&#54;&#49;&#105;l&#46;&#37;63&#37;6F&#109;'>&#118;oets&#46;de&#97;&#110;&#64;gma&#105;&#108;&#46;co&#109;</a></li>
						</ul>
					</div>

					<div>
						<h3>Calculations</h3>
						<p>
							The calculations for the extra columns are done in java when generating the website. The result with the added columns is saved as JSon String and parsed when opening the website.
						</p>
						<ol>
							<li> These days points = 100 + your_might/800 + opponent_might/1600. Using that formula I calculate the average might you have attacked (assuming all 3 flames). This is the Opp might column.</li>
							<li> Depending on the might and the highest might anyone has beaten, everyone gets a "Target Opp might" (not displayed). The higher mights have to get a higher percentage of the max Opp might compared to the low mights.</li>
							<li> Using the formula, I calculate the target as the points you get for beating 5 opponents of your target Opp might.</li>
							<li> Percentage and Gained/Lost are then calculated by comparing your points and your target.</li>
						</ol>
					</div>
				</div>

				<div id="per-member-table" class="visibleOnPerMember"></div>
				<div id="view-container" class="visibleOnResults visibleOnAverages">
					<div class="spinner"></div>
				</div>
			</div>
		</div>
		<p>&nbsp;</p>
	</div>

	<script>
		window.onload = onWindowLoaded;
	</script>
</body>
</html>
